List taxonomies
/products/{product_id}/taxonomiesLists the taxonomies of a product. Results are paginated with limit and cursor.
Taxonomies are available only for products in the blog format. For other formats, the API returns 409 Conflict with the format_unsupported error code instead of an empty collection.
Autonomous mode: the API credential secret, sent as a bearer token. Credential secrets are identified by a fixed prefix.
In: header
Path Parameters
Query Parameters
1 <= value <= 200Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/products/string/taxonomies"{ "data": [ { "created_at": "2019-08-24T14:15:22Z", "id": "string", "name": "string", "object": "taxonomy", "plural_name": "string", "product_id": "string", "revision": "string", "terms_count": 0, "updated_at": "2019-08-24T14:15:22Z" } ], "page": { "limit": 1, "next_cursor": "string", "prev_cursor": "string" }}Taxonomies
Taxonomies in API v3: list taxonomies, create a taxonomy, retrieve a taxonomy, update a taxonomy, delete a taxonomy, list taxonomy terms, create a taxonomy term, retrieve a taxonomy term, update a taxonomy term, delete a taxonomy term.
Create a taxonomy POST
Creates a taxonomy in a product, with a singular `name` and a `plural_name`. Taxonomies are available only for products in the `blog` format. For other formats, the API returns `409 Conflict` with the `format_unsupported` error code. Taxonomies cannot be created in replicated products. Attempts to do so return `403 Forbidden` with the `replica_readonly` error code.